Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 1372)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 1373)
@@ -17,8 +17,7 @@
 import org.rosuda.REngine.RList;
 import org.txm.Toolbox;
 import org.txm.core.engines.EngineType;
-import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -97,7 +96,7 @@
 				rw = RWorkspace.getRWorkspaceInstance();
 			} catch (RWorkspaceException e) {
 				Log.printStackTrace(e);
-				System.out.println(RUIMessages.anErrorOccuredWhileGettingRWorkspaceInsanceColon+e);
+				System.out.println(TXMCoreMessages.bind(RUIMessages.anErrorOccuredWhileGettingRWorkspaceInsanceColon, e));
 				return false;
 			}
 			for (String p : packages.keySet()) {
@@ -107,7 +106,7 @@
 					rw.eval("library(\""+p+"\")"); //$NON-NLS-1$ //$NON-NLS-2$
 				} catch (Exception e) {
 					Log.printStackTrace(e);
-					Log.severe(p+" package not installed. Error="+e); //$NON-NLS-1$
+					Log.severe(TXMCoreMessages.bind("{0} package not installed. Error={1}.", p, e));
 					ret = false;
 				}
 				if (ret) { // check the version and install if possible
@@ -116,27 +115,28 @@
 						ret = updateIfNecessary(rw, p, currentVersion);				
 					} catch (Exception e) {
 						Log.printStackTrace(e);
-						System.out.println("Error while testing package: "+e); //$NON-NLS-1$
+						System.out.println(TXMCoreMessages.bind("Error while testing package: {0}.", e));
 						ret = false;
 					}
 				} else { // package is not present, install it
 					try {
-						System.out.println(RUIMessages.the+p+RUIMessages.packageIsNotInstalledTryingToInstallItNow);
+						System.out.println(TXMCoreMessages.bind("The '{0}' package is not installed. Trying to install it now...", p));
+						
 						try {rw.eval("detach(\"package:"+p+"\", character.only = TRUE)");} catch(Exception tmpE){} // unload package to be able to reinstall it //$NON-NLS-1$ //$NON-NLS-2$
 						
 						rw.eval("install.packages(\""+p+"\", dependencies=TRUE, method=\""+method+"\", repos=\"http://cran.rstudio.com\");"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 						
 						try {
 							rw.eval("library(\""+p+"\")"); //$NON-NLS-1$ //$NON-NLS-2$
-							System.out.println(RUIMessages.doneColon+p+RUIMessages.installedSuccessfully);
+							System.out.println(TXMCoreMessages.bind(RUIMessages.installedSuccessfully, p));
 						} catch (Exception e) {
 							Log.printStackTrace(e);
-							System.out.println(RUIMessages.the+p+RUIMessages.packageWasNotInstalledPleaseInstallItManuallyColonRunRAndExecuteInstallpackages+p+RUIMessages.CheckRPackages_23);
+							System.out.println(TXMCoreMessages.bind("The '{0}' package was not installed. Please install it manually:\n * Run R\n * and execute 'install.packages(\"{1}\"')", p, p));
 							ret = false;
 						}
 					} catch (Exception e) {
 						Log.printStackTrace(e);
-						System.out.println(RUIMessages.errorWhileInstallingPackageColon+e);
+						System.out.println(TXMCoreMessages.bind(RUIMessages.errorWhileInstallingPackageColon, e));
 						ret = false;
 					}
 				}
@@ -150,7 +150,9 @@
 			}
 			ret = false;
 		}
-		if (ret == true) System.out.println(" OK"); //$NON-NLS-1$
+		if (ret == true) {
+			System.out.println(TXMCoreMessages.common_ok);
+		}
 		return ret;
 	}
 	
@@ -178,13 +180,13 @@
 					REXPInteger rExpInt = (REXPInteger)elem;
 					return buildVersion(rExpInt);
 				} else {
-					System.out.println(RUIMessages.eRRORColonRlistFirstElementIsNotREXPIntegerColon+elem);
+					System.out.println(TXMCoreMessages.bind(RUIMessages.eRRORColonRlistFirstElementIsNotREXPIntegerColon, elem));
 				}
 			} else {
-				System.out.println(RUIMessages.eRRORColonREvalListSizeIs0Colon+rList);
+				System.out.println(TXMCoreMessages.bind(RUIMessages.eRRORColonREvalListSizeIs0Colon, rList));
 			}
 		} else {
-			System.out.println(RUIMessages.eRRORColonREvalIsNotAListColon+rRez);
+			System.out.println(TXMCoreMessages.bind(RUIMessages.eRRORColonREvalIsNotAListColon, rRez));
 		}	
 		return ""; //$NON-NLS-1$
 	}
@@ -204,7 +206,7 @@
 		//System.out.println("comp "+(packages.get(p))+" to "+(v));
 		//System.out.println(packages.get(p).compareTo(v));
 		if (packages.get(p).compareTo(currentVersion) > 0) {
-			System.out.println(RUIMessages.updatingThe+p+RUIMessages.CheckRPackages_36+currentVersion+RUIMessages.rPackageUpToVersion+packages.get(p));
+			System.out.println(TXMCoreMessages.bind("Updating the '{0}' ({1}) R package up to version {2}...", p, currentVersion, packages.get(p)));
 			
 			try {rw.eval("detach(\"package:"+p+"\", character.only = TRUE)");} catch(Exception tmpE){} // unload package to be able to reinstall it //$NON-NLS-1$ //$NON-NLS-2$
 			
@@ -215,7 +217,7 @@
 			try {rw.eval("library(\""+p+"\")");} catch(Exception tmpE){} // reload it //$NON-NLS-1$ //$NON-NLS-2$
 			String newVersion = getVersion(rw, p);
 			if (!newVersion.equals(packages.get(p))) {
-				System.out.println(RUIMessages.updateOf+p+RUIMessages.failedCurrentVersionIsStill+newVersion+RUIMessages.warningColonWindowsUsersNeedToRestartTXM);
+				System.out.println(TXMCoreMessages.bind("Update of '{0}' failed (current version is still {1}). Warning: Windows users need to restart TXM.", p, newVersion));
 				return false;
 			}
 		}
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/messages.properties	(revision 1372)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/messages.properties	(revision 1373)
@@ -1,21 +1,21 @@
 #TXM messages generated by the PluginMessagesManager class
 #Mon Nov 12 17:18:22 CET 2018
-anErrorOccuredWhileGettingRWorkspaceInsanceColon=An error occured while getting RWorkspace insance\: 
+anErrorOccuredWhileGettingRWorkspaceInsanceColon=An error occured while getting RWorkspace insance\: {0}.
 checkingRPackages=Checking R packages...
-CheckRPackages_23="')
-CheckRPackages_36=\ (
+CheckRPackages_23= 
+CheckRPackages_36= 
 connectingRConsoleToRWorkspaceStdoutAndStderr=Connecting RConsole to RWorkspace stdout and stderr.
 doneColon=Done\: '
-eRRORColonREvalIsNotAListColon=ERROR\: REval is not a list\: 
-eRRORColonREvalListSizeIs0Colon=ERROR\: REval list size is 0\: 
-eRRORColonRlistFirstElementIsNotREXPIntegerColon=ERROR\: Rlist first element is not REXPInteger\: 
+eRRORColonREvalIsNotAListColon=ERROR\: REval is not a list\: {0}.
+eRRORColonREvalListSizeIs0Colon=ERROR\: REval list size is 0\: {0}.
+eRRORColonRlistFirstElementIsNotREXPIntegerColon=ERROR\: Rlist first element is not REXPInteger\: {0}.
 errorWhileInitializingRConsoleColon=Error while initializing RConsole\: 
-errorWhileInstallingPackageColon=Error while installing package\: 
-failedCurrentVersionIsStill=' failed (current version is still 
-installedSuccessfully=' installed successfully.
+errorWhileInstallingPackageColon=Error while installing package\: {0}.
+failedCurrentVersionIsStill=
+installedSuccessfully=Package '{0}' successfully installed.
 necessaryPackagesAreReady=Necessary packages are ready.
-packageIsNotInstalledTryingToInstallItNow=' package is not installed. Trying to install it now...
-packageWasNotInstalledPleaseInstallItManuallyColonRunRAndExecuteInstallpackages=' package was not installed. Please install it manually\:\n * Run R\n * and execute 'install.packages("
+packageIsNotInstalledTryingToInstallItNow=
+packageWasNotInstalledPleaseInstallItManuallyColonRunRAndExecuteInstallpackages= 
 password=Password
 pathToRBinary=Path to R binary
 portDefaultIs6311=Port (default is 6311)
@@ -24,21 +24,21 @@
 refreshVariables=Refresh variables
 remoteConnection=Remote connection
 rPackageDiagnostic=R package diagnostic
-rPackageUpToVersion=) R package up to version 
+rPackageUpToVersion=
 rserveArgs=Rserve args
 runRServeInDebugMode=Run RServe in debug mode
 sendingToRWorkspaceColon=Sending to R Workspace\:
 serverAddress=Server address
 showEvalLogs=Show eval logs
 somePackagesAreMissingSeeConsoleForDetails=Some packages are missing. See console for details.
-the=The '
+the=
 theRStatEngineIsNotRunningTryingToReinstallThePackagesRServeFactoMineRTextometry=The R StatEngine is not running. Trying to reinstall the packages (RServe, FactoMineR, textometry,...
 tXMCouldNotLoadTheFactoMineRRPackageTheCorrespondanceAnalysisClassificationCommandsWontBeAvailable=TXM could not load the 'FactoMineR' R package. The Correspondance analysis, Classification commands won't be available
 tXMCouldNotLoadTheTextometryRPackageTheCooccurenceSpecificityAndProgressionCommandsWontBeAvailable=TXM could not load the 'textometry' R package. The Cooccurence, Specificity and Progression commands won't be available
 tXMCouldNotReinstallRPackagesPleaseDoItManuallySeeManual=TXM could not reinstall R packages. Please do it manually (see manual).
 tXMNameP0SupSupRNameP1="TXM name {0} >> R name {1}
-updateOf=Update of '
-updatingThe=Updating the 
+updateOf=
+updatingThe=
 useFileBasedRDataTransfert=Use file based R data transfert
 user=User
-warningColonWindowsUsersNeedToRestartTXM=). Warning\: Windows users need to restart TXM.
+warningColonWindowsUsersNeedToRestartTXM=
\ No newline at end of file
